package com.ruoyi.system.domain.md.query;

import java.io.Serializable;

public class QueryPage implements Serializable {

    // 当前页码
    private Integer pageNo = 1;
    // 分页数量
    private Integer pageSize = 10;

    public QueryPage() {
    }

    public QueryPage(Integer pageNo, Integer pageSize) {
        if(pageNo != null && pageNo > 0){
            this.pageNo = pageNo;
        }
        if(pageSize != null && pageSize > 0){
            this.pageSize = pageSize;
        }
    }

    public Integer getPageNo() {
        return pageNo == null ? 1 : pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize == null ? 10 : pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
